Source.f compile error

Dear Experts,
I have installed fluka_4-3.0.x86-Linux-gfor9_amd64.deb in UBUNTU 20.04LTS. Gfortran and gcc version is 9.3.0.
While compiling the source.f, I am getting the error as per screenshot attached.

Kindly give me some way out. Thanking you in advance.

Dear @ArghyaC,
You need to install libz-dev.

Please take a look at this post.